Results 1 to 3 of 3

Thread: openSUSE 12.3 with ATI Catalyst 12.10

  1. #1
    Join Date
    Apr 2010
    Location
    Chicago, IL
    Posts
    171

    Default openSUSE 12.3 with ATI Catalyst 12.10

    I have a Radeon HD 6850 graphics card, and it works fine with the most recent fglrx ATI driver; unfortunately, that driver has a bug causing it to not work properly with The Cave, so I'm working on downgrading it to 12.10.

    I first tried installing the 12.10 package from here, but it wasn't packaged correctly, and I get an error about the SHA1 hash. So instead I downloaded the driver straight from AMD, but it's incompatible with the 3.7.x kernel as-is. Luckily, I found a patch to get it to compile, which I applied, and everything appeared to work as expected.

    Unfortunately, while the module appeared to build and install correctly, openSUSE now hangs when I try to boot. I can boot fine into recovery mode and runlevel 3, but not regular runlevel 5.

    Any ideas? I'm not sure where to look to find what the error might be.

  2. #2
    Join Date
    Jun 2009
    Location
    Mangfall, Germany
    Posts
    1,490

    Default Re: openSUSE 12.3 with ATI Catalyst 12.10

    to assess the status can you post here the content of the following files,

    /etc/X11/xorg.conf
    /etc/X11/xorg.conf.d/50-device.conf
    /etc/X11/xorg.conf.d/50-monitor.conf
    /etc/X11/xorg.conf.d/50-screen.conf

    /usr/share/ati/install.log

    and the /var/log/Xorg.0.log to SUSE Paste and post the reference to it here

    nb1. its assumed the install from Index of /mirror/amd-fglrx/openSUSE_12.3 was uninstalled before installing from amd

    nb2, its assumed the amd install was made from init 3 level

  3. #3
    Join Date
    Apr 2010
    Location
    Chicago, IL
    Posts
    171

    Default Re: openSUSE 12.3 with ATI Catalyst 12.10

    Well, I think I found the problem in /var/log/Xorg.0.log.old:

    Code:
    [    83.233] (II) LoadModule: "fglrx"
    [    83.233] (II) Loading /usr/lib64/xorg/modules/drivers/fglrx_drv.so
    [    83.243] (EE) Failed to load /usr/lib64/xorg/modules/drivers/fglrx_drv.so: /usr/lib64/xorg/modules/drivers/fglrx_drv.so: undefined symbol: noXFree86DRIExtension
    [    83.243] (II) UnloadModule: "fglrx"
    From what I can tell after doing some more searching is that this is a known incompatibility with Xorg 1.13, so unless I can downgrade it to 1.12, then this driver isn't going to work. =/

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •